//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wFstatPane:
//	runs p4 fstat - saves results public StrBufs


#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wPane.h"
#include "p4wFstatPane.h"


p4wFstatPane::p4wFstatPane( p4wView & ParentView, p4wRequest & Request )
	: p4wPane( ParentView, Request ), fSeenData(0), fError(0)
{
}

p4wFstatPane::~p4wFstatPane()
{
}


void p4wFstatPane::Begin()
{
}


void p4wFstatPane::Render( StrDict * varList )
{
	if( fSeenData )
		return;

	fDepotFile.Set(*varList->GetVar( "depotFile" ));
	fClientFile.Set(*varList->GetVar( "clientFile" ));

	fSeenData = 1;
}

void p4wFstatPane::RenderError( char *data, int escapeHTML )
{
	if( fSeenData )
		return;

	fErrMsg << data << " ";
	fError = 1;
}

void p4wFstatPane::End()
{
}
